
D4Science Infrastructure - Task #172

Shut down the old d4science Trac instance

May 27, 2015 06:27 PM - Luca Frosini

Status: Closed Start date: May 27, 2015

Priority: High Due date: Sep 11, 2015

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The old trac instance available at https://support.d4science.research-infrastructures.eu can be shut down.

If the hosting machine run only that service it should be be shut down too.

History

#1 - May 27, 2015 06:51 PM - Andrea Dell'Amico

There are several trac instances on that server:

issue.d4science-ii.research-infrastructures.eu

support.d4science.research-infrastructures.eu

issue.hope.research-infrastructures.eu

issue.imarine.research-infrastructures.eu

issue.eubrazilopenbio.research-infrastructures.eu

newissue.redbox.research-infrastructures.eu

support.social.isti.cnr.it

issue.authfile.driver.research-infrastructures.eu

issue.r2d2.research-infrastructures.eu

I think social.isti is still in use. I don't know about the other projects.

#2 - May 27, 2015 07:56 PM - Pasquale Pagano

I think the following ones can be turned off.

issue.d4science-ii.research-infrastructures.eu

support.d4science.research-infrastructures.eu

issue.imarine.research-infrastructures.eu

issue.eubrazilopenbio.research-infrastructures.eu

I don't know the status of the others. 

#3 - May 27, 2015 11:02 PM - Andrea Dell'Amico

The d-net guys say that redbox isn't their.

All the other instances can be closed. So it seems that only social.isti must stay.

#4 - May 27, 2015 11:17 PM - Pasquale Pagano

RedBox has to be maintained as well.

#5 - May 28, 2015 12:22 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

The server is now running only the redbox and social-isti trac instances.

Is the svn sync still needed? 

#6 - May 28, 2015 12:44 PM - Luca Frosini

I asked to involved people and I confirm that the SVN sync is not needed anymore.

#7 - May 28, 2015 01:01 PM - Andrea Dell'Amico
The SVN sync is now disabled.

#8 - May 28, 2015 01:01 PM - Massimiliano Assante

Before shutting down the iMarine TRAC instance please give us a deadline (and 1 week of time) with repeated warning emails on the mailing list.

Then you can shut down. Thanks

#9 - May 28, 2015 01:02 PM - Massimiliano Assante

The shutdown email should be communicated on the iMarine project TCom mailing list.

#10 - May 28, 2015 01:21 PM - Andrea Dell'Amico

I just deleted the following DNS records:

issue.d4science-ii.research-infrastructures.eu

support.d4science.research-infrastructures.eu

issue.hope.research-infrastructures.eu

issue.eubrazilopenbio.research-infrastructures.eu

issue.authfile.driver.research-infrastructures.eu

issue.r2d2.research-infrastructures.eu

I did NOT delete the matching trac instances and I moved the virtualhost configurations under /etc/apache2/sites-available, so that if one of the

instances is still needed can be reactivated in a matter of minutes.

#11 - Jun 04, 2015 03:12 PM - Andrea Dell'Amico

I see a lot of other virtualdomains on issue.research-infrastructures.eu. Some are trac instances, some are 'portals' or wikis. It seems that some of

those are obsolete. The full list is:

d4science.research-infrastructures.eu

driver.research-infrastructures.eu

gcore.research-infrastructures.eu

helpdesk.driver.research-infrastructures.eu

identicon.research-infrastructures.eu

issue.d4science.research-infrastructures.eu

issue.dlorg.eu

issue.driver.research-infrastructures.eu

issue.efg.research-infrastructures.eu

issue.gcore.research-infrastructures.eu

issue.guidelines.driver.research-infrastructures.eu

issue.lightui.driver.research-infrastructures.eu

issue.my.research-infrastructures.eu

issue.redbox.research-infrastructures.eu

issue.research-infrastructures.eu

manage.dlorg.eu

opendlib.research-infrastructures.eu

paste.research-infrastructures.eu

quality.wiki.dlorg.eu

requirements.wiki.efg.research-infrastructures.eu

userguide.wiki.belief.research-infrastructures.eu

wiki.dlorg.eu

wiki.eubrazilopenbio.research-infrastructures.eu

www.research-infrastructures.eu

#12 - Jun 12, 2015 02:27 PM - Andrea Dell'Amico

Any news?

#13 - Jun 19, 2015 06:33 PM - Pasquale Pagano

According to my knowledge 

d4science.research-infrastructures.eu

to be dismissed gcore.research-infrastructures.eu

to be dismissed issue.d4science.research-infrastructures.eu

to be dismissed issue.gcore.research-infrastructures.eu

to be dismissed issue.research-infrastructures.eu

to be dismissed

 

Giuseppe, please confirm the following choice
issue.redbox.research-infrastructures.eu

- to be dismissed in collaboration with Giuseppe to migrate key tickets to Redmine

 

Paolo/Franco,  please confirm the following

issue.efg.research-infrastructures.eu

to be dismissed requirements.wiki.efg.research-infrastructures.eu

to be dismissed userguide.wiki.belief.research-infrastructures.eu

- to be dismissed

 

Leo, please confirm the following

issue.dlorg.eu

to be dismissed wiki.dlorg.eu

to be dismissed wiki.eubrazilopenbio.research-infrastructures.eu

to be dismissed manage.dlorg.eu

to be dismissed quality.wiki.dlorg.eu

- to be dismissed

 

Claudio/ Paolo, please tell us what to do with the following

driver.research-infrastructures.eu

helpdesk.driver.research-infrastructures.eu

identicon.research-infrastructures.eu

issue.driver.research-infrastructures.eu

issue.guidelines.driver.research-infrastructures.eu

issue.lightui.driver.research-infrastructures.eu

issue.my.research-infrastructures.eu

 

still to be maintained .... 

opendlib.research-infrastructures.eu

this is an old web site.

paste.research-infrastructures.eu

still used, please move under the d4science.org domain.

www.research-infrastructures.eu

still used. When the migration to d4science.org of all services will be completed it will be removed

#14 - Jun 19, 2015 06:49 PM - Claudio Atzori

Pasquale Pagano wrote:

Claudio/ Paolo, please tell us what to do with the following

driver.research-infrastructures.eu

helpdesk.driver.research-infrastructures.eu

identicon.research-infrastructures.eu

issue.driver.research-infrastructures.eu

issue.guidelines.driver.research-infrastructures.eu

issue.lightui.driver.research-infrastructures.eu

issue.my.research-infrastructures.eu
AFAIK the only one that is worth to maintain is driver.research-infrastructures.eu. Although it's not used anymore it still contains some legacy

knowledge about D-Net. 

#15 - Jun 26, 2015 02:29 PM - Andrea Dell'Amico

Pasquale Pagano wrote:

According to my knowledge 

d4science.research-infrastructures.eu

to be dismissed gcore.research-infrastructures.eu

to be dismissed issue.d4science.research-infrastructures.eu

to be dismissed issue.gcore.research-infrastructures.eu

to be dismissed issue.research-infrastructures.eu

to be dismissed

 

virtualhosts removed

driver.research-infrastructures.eu

helpdesk.driver.research-infrastructures.eu

identicon.research-infrastructures.eu

issue.driver.research-infrastructures.eu

issue.guidelines.driver.research-infrastructures.eu

issue.lightui.driver.research-infrastructures.eu

issue.my.research-infrastructures.eu

 AFAIK the only one that is worth to maintain is driver.research-infrastructures.eu. Although it's not used anymore it still contains some legacy

knowledge about D-Net.

 Removed all the virtualhosts but driver.research-infrastructures.eu

#16 - Sep 03, 2015 09:54 AM - Luca Frosini

I'm lost. What is still to be done?

#17 - Sep 03, 2015 10:19 AM - Andrea Dell'Amico

Luca Frosini wrote:

I'm lost. What is still to be done?

 I didn't have any news about the redbox and imarine Trac migrations, it seems that they are the last two open tasks.

#18 - Sep 03, 2015 10:55 AM - Luca Frosini

Massimiliano Assante can we turn off iMarine Trac instance available here https://issue.imarine.research-infrastructures.eu/report/1 ?

@giuseppe.lipari can we we turn off Redbox Trac instance https://issue.redbox.research-infrastructures.eu/

#19 - Sep 03, 2015 10:57 AM - Luca Frosini

- Due date set to Sep 11, 2015

#20 - Sep 03, 2015 11:43 AM - Giuseppe Lipari

Redbox Trac instance https://issue.redbox.research-infrastructures.eu/ can be turn off

#21 - Sep 03, 2015 12:20 PM - Andrea Dell'Amico

Giuseppe Lipari wrote:

Redbox Trac instance https://issue.redbox.research-infrastructures.eu/ can be turn off

 Done.

#22 - Sep 08, 2015 02:45 PM - Massimiliano Assante

https://issue.imarine.research-infrastructures.eu/ can be turned off
#23 - Sep 08, 2015 03:08 PM - Andrea Dell'Amico

Massimiliano Assante wrote:

https://issue.imarine.research-infrastructures.eu/ can be turned off

 Done.

#24 - Sep 08, 2015 03:15 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

#25 - Sep 08, 2015 03:24 PM - Luca Frosini

- Status changed from Feedback to Closed

Seems that the ticket can be closed. We will open a new one to shut down an instance if we will find it.
